using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HCM.DataAccess;
using System.Web.UI;
using HCM.BusinessEntities;

namespace HCM.BajaWare.BusinessLogic
{
    public class PermisosLogic
    {
        #region Constructor
        private clsMenu Menu;
        public PermisosLogic()
        {
            Menu = new clsMenu();
        }
        #endregion


        public List<PermisoObjeto> Consulta(int idPerfil, String rutaApp)
        {
            try
            {
               return Menu.Consulta(idPerfil, rutaApp);
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }


        public int ObtieneRolSistema(short shSistemaID, int intUsuarioID)
        {
            try
            {
                return Menu.ObtieneRolSistema(shSistemaID, intUsuarioID);
            }
            catch (Exception ex)
            {
                throw ex;
            }
        }



    }
}
